VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ImageProxy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa ImageProxy
Private stTime As Variant
Private started As Boolean
Private img As Imager
'--------
Public Sub startImage()
  started = True    'Rozpocznij pobieranie obrazka
  stTime = Time     'Zapisz czas
End Sub
'--------
Public Function isReady() As Boolean
  'Zwróæ obrazek docelowy po 5 sekundach
  Dim tim As Variant
  tim = DateDiff("s", stTime, Time)
  If tim > 5 And started Then
    isReady = True
  Else
    isReady = False
  End If
End Function
'--------
Public Function getImage() As String
  'Zwraca obrazek tymczasowy lub docelowy
  If isReady Then
    Set img = New FinalImage
  End If
  getImage = img.getImage
End Function
'--------
Private Sub Class_Initialize()
  started = False
  Set img = New QuickImage
End Sub
